import { html as c } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, d = Object.getOwnPropertyDescriptor, i = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? d(t, s) : t, l = p.length - 1, n; l >= 0; l--)
    (n = p[l]) && (e = (r ? n(t, s, e) : n(e)) || e);
  return r && e && u(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--soundOnFilledLarge", this.class = "c-pieIcon c-pieIcon--soundOnFilledLarge", this.name = "IconSoundOnFilledLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--soundOnFilledLarge"><path d="M21.688 3.75h-2.39l-.253.245a50 50 0 0 1-4.016 3.439 49 49 0 0 1-4.961 3.316H6.813a2.625 2.625 0 0 0-2.625 2.625v5.25a2.625 2.625 0 0 0 2.625 2.625h3.255a47 47 0 0 1 4.96 3.316 48 48 0 0 1 4.008 3.439l.254.245h2.398z"></path><path d="M23.438 10.129v1.864a4.375 4.375 0 0 1 0 8.015v1.863a6.125 6.125 0 0 0 0-11.742"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  f("icon-sound-on-filled-large")
], o);
export {
  o as IconSoundOnFilledLarge
};
